# Define modern python2 macros for el6.
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


Name:       cloudtoserver
Version:    0.2
Release:    7%{?dist}
Summary:    Tool to convert Fedora Cloud instance to Fedora Server instance

Group:      Development/Tools
License:    GPLv2+
URL:        http://github.com/fedora-cloud/cloudtoserver
Source0:    http://kushal.fedorapeople.org/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:   python2
Requires:   python2-setuptools
Provides:   cloud2server

%description
Tool to convert a running Fedora Cloud instance to a Fedora Server instance.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}
mkdir -p  %{buildroot}/%{_mandir}/man8/
install -m644 %{name}.8 %{buildroot}/%{_mandir}/man8/


%files
%doc LICENSE README.rst
%{_bindir}/cloudtoserver
%{_mandir}/man8/%{name}.8*
%{python2_sitelib}/%{name}*



%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 15 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Kushal Das <kushal@fedoraproject.org> - 0.2-1
- Updates to 0.2 release

* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-3
- No more egg-info deletion.

* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-2
- Removes python3 stuff from spec

* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-1
- Initial package
